; ***********************************************************
function unpad, feld, width
; ***********************************************************

; Field size
a=size(feld)
if a[0] gt 3 then begin
  print, "Field dimensions too high. Aborting"
  return, 0
endif

if n_elements(width) eq 1 then w=[width,width,width]  else w=width
for i=1,a[0] do a[i]=a[i]-2*w[i-1]

if a[0] eq 1 then newfeld=feld[w[0]:w[0]+a[1]-1] $
else if a[0] eq 2 then newfeld=feld[w[0]:w[0]+a[1]-1,w[1]:w[1]+a[2]-1] $
else newfeld=feld[w[0]:w[0]+a[1]-1,w[1]:w[1]+a[2]-1,w[2]:w[2]+a[3]-1]

return, newfeld
end

; ***********************************************************
function zeropad, feld, width
; ***********************************************************

; Field size
a=size(feld)
if a[0] gt 3 then begin
  print, "Field dimensions too high. Aborting"
  return, 0
endif

if n_elements(width) eq 1 then w=[width,width,width]  else w=width

newa=a
for i=1,a[0] do newa[i]=a[i]+2*w[i-1]
newfeld=make_array(size=newa,value=0.0d0)

if a[0] eq 1 then newfeld[w[0]:w[0]+a[1]-1]=feld $
else if a[0] eq 2 then newfeld[w[0]:w[0]+a[1]-1,w[1]:w[1]+a[2]-1]=feld $
else newfeld[w[0]:w[0]+a[1]-1,w[1]:w[1]+a[2]-1,w[2]:w[2]+a[3]-1]=feld

return, newfeld
end

